<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" id="top-tracked_pages-by-client_host">

 <lire:title>Most Requested Tracked Pages By Client Host WWW Report (Obsolete)</lire:title>

 <lire:description>
  <para>This report shows the client hosts that have the most requests
   for "tracked" pages.

   <warning>
    <para>With the implementation of global filter, that report
     specification is now obsolete. You should rather use <constant role="report-spec:www">top-urls-by-client_host</constant>.
    </para>
   </warning>
  </para>
 </lire:description>

 <lire:param-spec>

  <lire:param name="page_to_show" type="int" default="5">
   <lire:description>
    <para>This parameter controls the maximum number of tracked pages to
     display for each client host.
    </para>
   </lire:description>
  </lire:param>

  <lire:param name="client_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of client hosts to
     display.
    </para>
   </lire:description>
  </lire:param>

  <lire:param name="tracked_page_re" type="string" default="">
   <lire:description>
    <para>This parameter contains a regular expression which is used
     to determine which pages are tracked..
    </para>
   </lire:description>
  </lire:param>

 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Most Requested Tracked Pages By Client Hosts, Top $client_to_show, Top
  $page_to_show Tracked Pages</lire:title>

  <lire:description>
   <para>The tracked pages are those matching the regular expression:
   /$tracked_page_re/.</para>
  </lire:description>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:match value="$requested_page" re="$tracked_page_re"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:group sort="-request_total" limit="$client_to_show">
   <lire:field name="client_host"/>

   <lire:count name="request_total"/>
   <lire:group sort="-requested_page_by_client_host" limit="$page_to_show">
    <lire:field name="requested_page"/>
    <lire:count name="requested_page_by_client_host"/>
   </lire:group>
  </lire:group>

 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
